<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSLFGraphicFrame (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSLFGraphicFrame (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFGraphicFrame.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
               target="_top">Frames</a></li>
        <li><a href="XSLFGraphicFrame.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xslf.usermodel</div>
    <h2 title="Class XSLFGraphicFrame" class="title">Class XSLFGraphicFrame</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                       title="class in org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel.XSLFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xslf.usermodel.XSLFGraphicFrame</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                           title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                           title="class in org.apache.poi.xslf.usermodel">XSLFObjectShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTable</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XSLFGraphicFrame</span>
extends <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
           title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>
implements <a href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
              title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getAnchor--">getAnchor</a></span>()</code>
                                    <div class="block">Returns the anchor (the bounding box rectangle) of this shape.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getFallbackPicture--">getFallbackPicture</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getFlipHorizontal--">getFlipHorizontal</a></span>()</code>
                                    <div class="block">Whether the shape is horizontally flipped</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getFlipVertical--">getFlipVertical</a></span>()</code>
                                    <div class="block">Whether the shape is vertically flipped</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getRotation--">getRotation</a></span>()</code>
                                    <div class="block">Rotation angle in degrees</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
                                        title="enum in org.apache.poi.sl.usermodel">ShapeType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getShapeType--">getShapeType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a></span>(java.awt.geom.Rectangle2D&nbsp;anchor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setFlipHorizontal-boolean-">setFlipHorizontal</a></span>(boolean&nbsp;flip)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setFlipVertical-boolean-">setFlipVertical</a></span>(boolean&nbsp;flip)</code>
                                    <div class="block">Whether the shape is vertically flipped</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setRotation-double-">setRotation</a></span>(double&nbsp;theta)</code>
                                    <div class="block">Rotate this shape.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xslf.usermodel.XSLFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#fetchShapeProperty-org.apache.poi.xslf.model.PropertyFetcher-">fetchShapeProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgPr--">getBgPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgRef--">getBgRef</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getChild-java.lang.Class-java.lang.String-java.lang.String-">getChild</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getCNvPr--">getCNvPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getFillPaint--">getFillPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getGrpSpPr--">getGrpSpPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeProperties--">getShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSpStyle--">getSpStyle</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getXmlObject--">getXmlObject</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties-org.apache.poi.openxml4j.opc.PackagePart-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate.XSLFFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectProperty-java.lang.Class-java.lang.String-">selectProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setParent-org.apache.poi.xslf.usermodel.XSLFShapeContainer-">setParent</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PlaceableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getShapeType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
                                                    title="enum in org.apache.poi.sl.usermodel">ShapeType</a>&nbsp;getShapeType()</pre>
                            </li>
                        </ul>
                        <a name="getAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchor</h4>
                                <pre>public&nbsp;java.awt.geom.Rectangle2D&nbsp;getAnchor()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">Shape</a></code></span>
                                </div>
                                <div class="block">Returns the anchor (the bounding box rectangle) of this shape.
                                    All coordinates are expressed in points (72 dpi).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAnchor-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAnchor</h4>
                                <pre>public&nbsp;void&nbsp;setAnchor(java.awt.geom.Rectangle2D&nbsp;anchor)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the position of this shape within the drawing canvas.
                                        The coordinates are expressed in points
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRotation-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRotation</h4>
                                <pre>public&nbsp;void&nbsp;setRotation(double&nbsp;theta)</pre>
                                <div class="block">Rotate this shape.
                                    <p>
                                        Positive angles are clockwise (i.e., towards the positive y axis);
                                        negative angles are counter-clockwise (i.e., towards the negative y axis).
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>theta</code> - the rotation angle in degrees.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRotation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRotation</h4>
                                <pre>public&nbsp;double&nbsp;getRotation()</pre>
                                <div class="block">Rotation angle in degrees
                                    <p>
                                        Positive angles are clockwise (i.e., towards the positive y axis);
                                        negative angles are counter-clockwise (i.e., towards the negative y axis).
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>rotation angle in degrees</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFlipHorizontal-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlipHorizontal</h4>
                                <pre>public&nbsp;void&nbsp;setFlipHorizontal(boolean&nbsp;flip)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>flip</code> - whether the shape is horizontally flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFlipVertical-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlipVertical</h4>
                                <pre>public&nbsp;void&nbsp;setFlipVertical(boolean&nbsp;flip)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">PlaceableShape</a></code></span>
                                </div>
                                <div class="block">Whether the shape is vertically flipped</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>flip</code> - whether the shape is vertically flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlipHorizontal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlipHorizontal</h4>
                                <pre>public&nbsp;boolean&nbsp;getFlipHorizontal()</pre>
                                <div class="block">Whether the shape is horizontally flipped</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether the shape is horizontally flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlipVertical--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlipVertical</h4>
                                <pre>public&nbsp;boolean&nbsp;getFlipVertical()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">PlaceableShape</a></code></span>
                                </div>
                                <div class="block">Whether the shape is vertically flipped</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether the shape is vertically flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFallbackPicture--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFallbackPicture</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a>&nbsp;getFallbackPicture()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html#getFallbackPicture--">getFallbackPicture</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                                                title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a fallback representation as picture shape</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFGraphicFrame.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
               target="_top">Frames</a></li>
        <li><a href="XSLFGraphicFrame.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
